# ConnectionsOAuth

Source: https://docs.elnora.ai/docs/api/reference/connectionsoauth
Last modified: 2026-10-05T07:03:04-07:00

> ConnectionsOAuth endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `POST` /connections/&#123;connectionId&#125;/authorization

```bash
curl -X POST https://platform.elnora.ai/api/v1/connections/{connectionId}/authorization \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `connectionId` | path | string | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `provider_id` | string | no |
| `capability_groups` | string[] | no |
| `scopes` | string[] | no |
| `redirect_uri` | string | no |
| `consent` | boolean | no |
| `connection_id` | string | no |
| `tenant` | string | no |
| `create_new` | boolean | no |

**Responses**: `200`

## `GET` /connections/authorization-sessions/&#123;authId&#125;

```bash
curl https://platform.elnora.ai/api/v1/connections/authorization-sessions/{authId} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `authId` | path | string | yes |

**Responses**: `200`

## `POST` /connections/oauth/complete

```bash
curl -X POST https://platform.elnora.ai/api/v1/connections/oauth/complete \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "auth_id": "...", "code": "...", "state": "..." }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `auth_id` | string | yes |
| `code` | string | yes |
| `state` | string | yes |
| `issuer` | string | no |

**Responses**: `200`
